import java.awt.*;
import java.awt.event.*;
import java.io.*;

public class ConsoleControlPanel extends Panel {
    private ActionListener al;

    private Button      exitButton;
    private Button      startButton;
    private Button      stopButton;
    private Button      startupButton;
    private Button      shutdownButton;
    private Button      refreshButton;

    public ConsoleControlPanel(ActionListener a) {
        al = (ActionListener)a;

        setLayout(new GridLayout(2, 3));

        startupButton = makeButton("Startup");
        shutdownButton = makeButton("Shutdown");
        refreshButton = makeButton("Refresh");
        startButton = makeButton("Start");
        stopButton = makeButton("Stop");
        exitButton = makeButton("Exit");
    }

    protected Button makeButton(String name) {
        Button button = new Button(name);
        button.addActionListener(al);
        add(button);
        return button;
    }

    public void enablePanelExceptExit(boolean b) {
        startupButton.setEnabled(b);
        shutdownButton.setEnabled(b);
        refreshButton.setEnabled(b);
        startButton.setEnabled(b);
        stopButton.setEnabled(b);
    }
}
